Bug 257930 - databases/db: update to 1.26 and simplify
Summary: databases/db: update to 1.26 and simplify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL: http://cvsweb.netbsd.org/bsdweb.cgi/s...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-18 16:08 UTC by Helge Oldach
Modified: 2021-08-20 05:13 UTC (History)
2 users (show)

See Also:


Attachments
diff against current port (v1.16) (4.20 KB, patch)
2021-08-18 16:08 UTC, Helge Oldach
no flags Details | Diff
patch (4.16 KB, patch)
2021-08-19 10:43 UTC, Helge Oldach
no flags Details | Diff
diff against current port (v1.16) (4.17 KB, patch)
2021-08-19 10:46 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2021-08-18 16:08:19 UTC
Created attachment 227309 [details]
diff against current port (v1.16)

Update the maintainer-orphaned databases/db port (db(1) utility obtained from NetBSD). Simplify retrieval and checksum of source files. Base the port version on the version of db.c.

Note: portlint -A validated.

Note: The patch files are no longer needed and should be removed.
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-19 08:36:47 UTC
^Triage: [tags] in issue Titles are deprecated.

^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-08-19 08:54:21 UTC
Hi Helge,

Thanks for the patch. I have a question though: why is PORTEPOCH removed?

According to the PHB: "PORTEPOCH must never be decreased or reset to zero, because that would cause comparison to a package from an earlier epoch to fail"

However, if we are make some other improvements to the port, shouldn't we need to use PORTREVISION=1 so people already having db-1.26 see the new change as an update?
Comment 3 Fernando Apesteguía freebsd_committer 2021-08-19 08:55:50 UTC
(In reply to Fernando Apesteguía from comment #2)
OK, forget about PORTREVISION, I thought we didn't change PORTVERSION, but it did from 1.16 to 1.26.
Comment 4 Helge Oldach 2021-08-19 10:41:29 UTC
> why is PORTEPOCH removed?

Indeed it should not have been; correctly noted! Trivial modification to the patch.
Comment 5 Helge Oldach 2021-08-19 10:43:27 UTC
Created attachment 227321 [details]
patch
Comment 6 Helge Oldach 2021-08-19 10:46:36 UTC
Created attachment 227322 [details]
diff against current port (v1.16)

correct distinfo glitch because of PORTEPOCH
Comment 7 Fernando Apesteguía freebsd_committer 2021-08-19 16:14:52 UTC
Committed,

Thanks!
Comment 8 commit-hook freebsd_committer 2021-08-19 16:15:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ebb7c74c21dc231dae7e7c462438ef79a799663a

commit ebb7c74c21dc231dae7e7c462438ef79a799663a
Author:     Helge Oldach <freebsd@oldach.net>
AuthorDate: 2021-08-19 10:57:43 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-19 16:08:37 +0000

    databases/db: update to 1.26 and simplify

    ChangeLog: http://cvsweb.netbsd.org/bsdweb.cgi/src/usr.bin/db/db.c

    PR:     257930
    Reported by:    freebsd@oldach.net

 databases/db/Makefile                | 31 +++++++++++++++----------------
 databases/db/distinfo                | 10 +++++++---
 databases/db/files/patch-db.1 (gone) | 26 --------------------------
 databases/db/files/patch-db.c (gone) | 18 ------------------
 databases/db/pkg-descr               |  4 ----
 5 files changed, 22 insertions(+), 67 deletions(-)
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-20 00:57:32 UTC
^Triage: Assign to committer that resolved
Comment 10 Fernando Apesteguía freebsd_committer 2021-08-20 05:13:21 UTC
(In reply to Kubilay Kocak from comment #9)
Oops!

Thanks for that!